<?php
include "../../inc/inc.koneksi.php";
$barc	= $_POST['barc'];
$text	= "SELECT * FROM stock WHERE barcode= '$barc' ORDER BY kode_st";
$sql 	= mysql_query($text);
$row	= mysql_num_rows($sql);
if ($row>0){
while ($r=mysql_fetch_array($sql)){
	$data['kodest']	= $r['kode_st'];
	$data['namast']	= $r['nama_st'];
	$data['barcode']= $r['barcode'];
	$data['satuan']	= $r['satuan'];
	$data['hgbeli']	= $r['hb_akhir'];
	$data['hgjual']	= $r['hg_jual'];
	$data['jmlstok']= $r['jml_stokb'];
	echo json_encode($data);
}
}else{
	$data['kodest']	= '';
	$data['namast']	= '';
	$data['barcade']= '';
	$data['satuan']	= '';
	$data['hgbeli']	= '';
	$data['hgjual']	= '';
	$data['jmlstok']= '';
	echo json_encode($data);
}
?>